Page MenuHomePhabricator

Special:Upload should remove whitespace before file extension
Open, MediumPublic

Description

Whitespace in front of an image suffix, such as "Foobar .jpg" (notice the space character before ".jpg"), should be stripped away by Special:Upload. It too confusing to distinguish between:

File:Foobar.jpg
File:Foobar .jpg
File:Foobar .jpg
etc.

after images are uploaded. The whitespace is usually a mistake anyway (in the original filename on the user's PC).

Right now, the whitespace is accepted as a valid


Version: 1.24rc
Severity: enhancement

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:08 AM
bzimport set Reference to bz65811.

Change 136307 had a related patch set uploaded by devunt:
Remove trailing spaces of filename on Special:Upload

https://gerrit.wikimedia.org/r/136307

Change 136307 abandoned by devunt:
Trim spaces and underscores from suggested filename on Special:Upload

Reason:
Move to new change

https://gerrit.wikimedia.org/r/136307

Change 192773 had a related patch set uploaded (by devunt):
Trim spaces and underscores from suggested filename on Special:Upload

https://gerrit.wikimedia.org/r/192773

Change 195001 had a related patch set uploaded (by Rillke):
Use mw.Title.newFromFileName for sanitization after source file selection

https://gerrit.wikimedia.org/r/195001

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:32 PM
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:32 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 18 2016, 2:20 PM
Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:44 PM

Change 429657 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/core@master] Use mw.Title.newFromFileName for sanitization after source file selection

https://gerrit.wikimedia.org/r/429657

Change 429657 abandoned by Fomafix:
Use mw.Title.newFromFileName for sanitization after source file selection.

Reason:
This change contains some rebase mistakes. I rebased Ib9d2ae7584969284b047b4c681ffae25290d8c89 in https://gerrit.wikimedia.org/r/195001 PS7. Please continue there.

https://gerrit.wikimedia.org/r/429657

Change 192773 abandoned by Thiemo Kreuz (WMDE):
Trim spaces and underscores from suggested filename on Special:Upload

Reason:
No action in 4 years. The code this patch aims to change doesn't even exist any more.

https://gerrit.wikimedia.org/r/192773